/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.exception;

/**
 * The given artifact must be a component
 * 
 * @author Christophe DENEUX - Linagora
 */
public class ComponentRequiredException extends ArtifactAdministrationException {
    
    private static final long serialVersionUID = 7454892391540118388L;

    /**
     * The artifact name
     */
    final private String artifactName;

    public ComponentRequiredException(final String artifactName) {
        super("The artifact '" + artifactName + "' is not a component.");
        this.artifactName = artifactName;
    }
    
    /**
     * @return The artifact name
     */
    public String getArtifactName() {
        return artifactName;
    }
}
