/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.exception;

/**
 * Regexp pattern is invalid.
 * 
 * @author Christophe DENUEX - Linagora
 */
public class EndpointDirectoryRegexpPatternException extends EndpointDirectoryAdministrationException {
    
    private static final long serialVersionUID = -1243809643910549593L;

    /**
     * The invalid regexp
     */
    private final String regexp;

    /**
     * The description of the error of the regexp
     */
    private final String description;

    public EndpointDirectoryRegexpPatternException(final String regexp, final String description) {
        super(String.format("Invalid regular expression: %s (%s)", regexp, description));
        this.regexp = regexp;
        this.description = description;
    }

    /**
     * @return The invalid regexp
     */
    public String getRegexp() {
        return this.regexp;
    }

    /**
     * @return The description of the error of the regexp
     */
    public String getDescription() {
        return this.description;
    }
}
